.navody-body{
            opacity: 0;
    transform: translateY(10px);
    animation: fadeUp 0.4s ease forwards;
}


.navody-nadpis{
        font-size: 40px;
    font-weight: 700;
    text-align: center;
    margin-bottom: 20px;
}

.navody-top{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    width: 70%;
    margin: 0 auto;
    justify-content: center;
    min-height: 500px;
}

.navod-card{
    width: 350px;
    height:220px;
    border-radius: 0.25rem;
    background-image: url('miniatury/navod-dema.png');
    background-position: center;
    background-size: cover;
    position: relative;
    transition: all 0.2s ease-in-out;
}

.navod-card::after{
    content: '';
    background-color: rgba(0, 0, 0, 0.4);
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 0.25rem;
    z-index: 1;
}

.navod-card:hover::after{
    opacity: 0.3;
}

.navod-card-nadpis{
    font-size: 25px;
    position: absolute;
    top: 15px;
    left: 15px;
    z-index: 2;
    font-weight: 600;
}

.navod-card-ukaz{
    font-size: 27px;
    position: absolute;
    bottom: 15px;
    right: 15px;
    background-color: var(--button-background);
    z-index: 2;
    padding: 0 10px;
    border-radius: 0.25rem;
    cursor: pointer;
}
.navod-card-ukaz:hover{
    background-color: var(--main-orange);
 }

 .modalOpen .modal-content {
  animation: modalPopUp 0.4s cubic-bezier(0.22, 1, 0.36, 1);
}



 .modal {
  display: none; /* skryté */
  position: fixed;
  z-index: 1000;
    width: 100%;
    height: 100%;
  overflow: auto;
position: fixed;
}

/* Obsah modalu */
.modal-content {
  position: relative;
  background-color: transparent;
  padding: 20px;
  background-color: rgb(27, 27, 27, 0.7);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  top: 50%;
  left: 50%;
  width: fit-content;
  height: fit-content;
  transform: translate(-50%, -50%);
  border-radius: 0.5rem;
}

.modal-content > video{
    border-radius: 0.5rem;
}

/* Tlačítko zavření */
.close {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 24px;
  font-weight: bold;
  cursor: pointer;
  color: white;
}

.close:hover{
    color: var(--main-orange);
}
